<!-- #INCLUDE FILE="./SLNKDWF.inc" -->
<%
    function GetManifestXML(dwfFile)
    {
        try
        {
            var xp = Server.CreateObject("SLNKDWF.DWFFile");
            xp.Open(dwfFile);

            return xp.PropertiesXML
        }
        catch( ee )
        {
             Response.Write("GetPropertiesXML() error: " + ee.description);
             Response.End();
        }
    }
    function GetEplotPropertiesXML(dwfFile, page)
    {
        try
        {
            var sFile = dwfFile;
            var oDWFFile = Server.CreateObject("SLNKDWF.DWFFile");
            oDWFFile.Open(sFile);
            if (oDWFFile.EplotSections.Count == 0)
                return null;
            else
            {
                var eps = oDWFFile.EplotSections.Item(page?page:0);
                return eps.PropertiesXML;
            }
        }
        catch( ee )
        {   // Waarschijnlijk 3D dwf
            __DoLog("GetEplotPropertiesXML() error: " + ee.description, "#FFFF00");
            return null;
        }
    }

    function GetContoursHandle(dwfFile, pContLayers, pLabelLayers, pMinArea)
    {
        try
        {
            oWhipFile = _openContourDWF(dwfFile, pContLayers, pLabelLayers, pMinArea)
        }
        catch( ee )
        {
            Response.Write("SLNKDWF.openContourDWF Error: " + ee.description);
            Response.End
        }
        return oWhipFile;
    }
%>